# LetterCDT::LetterCDTTestLogic Class Reference

It handles all the logic of the test. Its called by Runner, which act as a controller between Logic and Render. It contains the points, segments and lines of the letters queried. More...

`#include <LetterCDTTestLogic.h>`

List of all members.

## Public Member Functions
| LetterCDTTestLogic (void)
| Constructor.
| ~LetterCDTTestLogic (void)
| Destructor.
void | PushLetter (wchar_t charCode)
| Inserts a letter in the test string.
void | Reset (void)
| Clears the test string.
void | EnablePoints (void)
| Enable/Disable points showing.
void | EnableSegments (void)
| Enable/Disable segments showing.
void | EnableTriangles (void)
| Enable/Disable triangles showing.
bool | ArePointsEnabled (void)
| Check if showing points is enable.
bool | AreSegmentsEnabled (void)
| Check if showing segments is enable.
bool | AreTrianglesEnabled (void)
| Check if showing triangles is enable.
const std::vector< Point > & | GetPoints (void) const
| Get string points.
const std::vector< Line > & | GetLines (void) const
| Get string lines.
const std::vector< int > & | GetTriangles (void) const
| Get string triangles.

## Detailed Description

It handles all the logic of the test. Its called by Runner, which act as a controller between Logic and Render. It contains the points, segments and lines of the letters queried.

## Member Function Documentation

bool LetterCDTTestLogic::ArePointsEnabled | ( | void |  | ) |

Check if showing points is enable.

Returns:
  true if points are enable, false otherwise

bool LetterCDTTestLogic::AreSegmentsEnabled | ( | void |  | ) |

Check if showing segments is enable.

Returns:
  true if segments are enable, false otherwise

bool LetterCDTTestLogic::AreTrianglesEnabled | ( | void |  | ) |

Check if showing triangles is enable.

Returns:
  true if triangles are enable, false otherwise

void LetterCDTTestLogic::EnablePoints | ( | void |  | ) |

Enable/Disable points showing.

Note:
  Probably this is not the best site for this method

void LetterCDTTestLogic::EnableSegments | ( | void |  | ) |

Enable/Disable segments showing.

Note:
  Probably this is not the best site for this method

void LetterCDTTestLogic::EnableTriangles | ( | void |  | ) |

Enable/Disable triangles showing.

Note:
  Probably this is not the best site for this method

const std::vector< Line > & LetterCDTTestLogic::GetLines | ( | void |  | ) | const

Get string lines.

Returns:
  test string lines

const std::vector< Point > & LetterCDTTestLogic::GetPoints | ( | void |  | ) | const

Get string points.

Returns:
  test string points

const std::vector< int > & LetterCDTTestLogic::GetTriangles | ( | void |  | ) | const

Get string triangles.

Returns:
  test string triangles

void LetterCDTTestLogic::PushLetter | ( | wchar_t | charCode | ) |

Inserts a letter in the test string.

Parameters:

  | charCode | code of the character being inserted

Compute the translation of the next letter

Add new points

Check if theres a space.

Add new segments

Compute holes

Triangulate

The documentation for this class was generated from the following files:

- src/letterCdt/LetterCDTTestLogic.h
- src/letterCdt/LetterCDTTestLogic.cpp